#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,960,1040,1200,1440,2000,2960,4000
 * N : 25,240,480,960,1040,1200,1440,2000,2960,4000
 * NB : 4,80,80,48,80,80,80,80,80,160
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 720) (nb_) = 80; \
   else if ((n_) < 1000) (nb_) = 48; \
   else if ((n_) < 3480) (nb_) = 80; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
